SuperCollider CLASSES
Language

# LanguageConfig

Access and modify interpreter configuration
Source: /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Core/LanguageConfig.sc
Inherits from: Object

## Description

The LanguageConfig class provides access to the interpreter configuration.

## Class Methods

### *store (file)

Store the current configuration to file.

#### Arguments:

file | Path to the configuration file to store. If the value is `nil` it defaults to `Platform.userConfigDir +/+ "sclang_conf.yaml"`

### Library Path Handling

The language configuration mechanism provides a way to add or exclude specific paths for the class library.

NOTE: Changes to the class library paths won't have any effect before the configuration file is stored and the class library is recompiled.

### *includePaths

Return the class library include paths.

### *addIncludePath (aPath)

Add new class library include path.

### *removeIncludePath (aPath)

Remove path from class library include paths.

### *excludePaths

Return the class library exclude paths.

### *addExcludePath (aPath)

Add new class library exclude path.

### *removeExcludePath (aPath)

Remove path from class library exclude paths.

### *currentPath

Return the current config file path.

### Compiler Warnings

### *postInlineWarnings

### *postInlineWarnings = aBoolean

Get or set the compiler flag, whether warnings should be posted if a FunctionDef cannot be inlined.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Configuration File Format

The configuration file is stored in YAML format, which contains one dictionary. The semantics of the dictionary is listed in the following table:

`includePaths`
  List of class library paths.
`excludePaths`
  List of paths to exclude from the class library files (overrides `includePaths`).
`postInlineWarnings`
  Boolean flag to post warnings about missing inline opportunities.

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/LanguageConfig.schelp
link::Classes/LanguageConfig::
sc version: 3.8.0